Bug 76280 - 3.2-10 seg fault in qt and kernel 2.5
3.2-10 seg fault in qt and kernel 2.5
Status: CLOSED NOTABUG
Product: Red Hat Raw Hide
Classification: Retired
Component: gcc (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-18 22:01 EDT by sean
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-18 22:01:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sean 2002-10-18 22:01:43 EDT
Description of Problem:
Trying to build kernel 2.5.43 and qt ( from the rpm - 3.0.5-17 ). 
Both generate segmentation faults.

For qt:

gcc -c -pipe -fno-exceptions -I/usr/include/Xft2 -Wall -W
-I/usr/include/fontconfig -I/usr/include/Xft2 -O2 -march=athlon-xp -msse -m3dnow
-fno-use-cxa-atexit -fno-exceptions -D_REENTRANT -fPIC -DQT_SHARED -DQT_NO_DEBUG
-DQT_THREAD_SUPPORT -DQT_THREAD_SUPPORT -DQT_CUPS_SUPPORT -DQT_NO_NIS
-DQT_BUILTIN_GIF_READER=1 -DQT_NO_STYLE_AQUA -I/usr/include/freetype2
-I/usr/src/redhat/BUILD/qt-x11-free-3.0.5/include -I/usr/X11R6/include
-I/usr/X11R6/include -I.moc/release-shared-mt/
-I/usr/src/redhat/BUILD/qt-x11-free-3.0.5/mkspecs/linux-gcc -o
.obj/release-shared-mt/moc_qwindowsstyle.o
.moc/release-shared-mt/moc_qwindowsstyle.cpp
In file included from /usr/src/redhat/BUILD/qt-x11-free-3.0.5/include/qobject.h:45,
                 from /usr/src/redhat/BUILD/qt-x11-free-3.0.5/include/qstyle.h:41,
                 from styles/qcommonstyle.h:42,
                 from styles/qwindowsstyle.h:42,
                 from .moc/release-shared-mt/moc_qwindowsstyle.cpp:11:
/usr/src/redhat/BUILD/qt-x11-free-3.0.5/include/qevent.h:357: internal error: 
   Segmentation fault


For 2.5.43:

  gcc -Wp,-MD,fs/nfs/.read.o.d -D__KERNEL__ -Iinclude -Wall -Wstrict-prototypes
-Wno-trigraphs -O2 -fomit-frame-po
inter -fno-strict-aliasing -fno-common -pipe -mpreferred-stack-boundary=2
-march=athlon  -Iarch/i386/mach-generic
-nostdinc -iwithprefix include    -DKBUILD_BASENAME=read   -c -o fs/nfs/read.o
fs/nfs/read.c
fs/nfs/read.c: In function `nfs_readpage':
fs/nfs/read.c:440: internal error: Segmentation fault


Version-Release number of selected component (if applicable):


How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:
Comment 1 sean 2002-10-20 10:23:05 EDT
apears to be a qt issue.

Note You need to log in before you can comment on or make changes to this bug.